package edu.fiu.jtlex.data;

import java.util.Set;

public interface IText {
	
	/**
	 * Returns the article text without tags. 
	 * @return text String
	 */
	public String getText();
	
	/**
	 * Returns the article text with tags. 
	 * @return raw text String
	 */
	public String getRawText();
	
	/**
	 * Returns a set view of all the Timex's. 
	 * @return timexes
	 */
	public Set<ITimex> getTimexes();
	
	/**
	 * Returns a set view of all the links. 
	 * @return links
	 */
	public Set<ILink> getLinks();
	
	/**
	 * Returns a set view of all the links. 
	 * @return makeInstances
	 */
	public Set<IInstance> getInstances();
	
	/**
	 * Returns the Instances related to the event passed 
	 * @param event 
	 * @return set of event
	 */
	public Set<IInstance> getRelatedInstances(IEvent event);
}
